summaryrefslogtreecommitdiffstats
path: root/ci/testapi-backup-mongodb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/testapi-backup-mongodb.sh')
-rw-r--r--ci/testapi-backup-mongodb.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/ci/testapi-backup-mongodb.sh b/ci/testapi-backup-mongodb.sh
new file mode 100644
index 0000000..e6465ab
--- /dev/null
+++ b/ci/testapi-backup-mongodb.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -e
+
+# Run MongoDB backup
+python $WORKSPACE/testapi/update/templates/backup_mongodb.py -o $WORKSPACE/
+
+# Compressing the dump
+now=$(date +"%m_%d_%Y_%H_%M_%S")
+echo $now
+
+file_name="testapi_mongodb_"$now".tar.gz"
+echo $file_name
+
+tar cvfz "$file_name" test_results_collection*
+
+rm -rf test_results_collection*
+
+artifact_dir="testapibackup"
+workspace="$WORKSPACE"
+
+set +e
+/usr/local/bin/gsutil &>/dev/null
+if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed"
+ exit 1
+else
+ echo "Uploading mongodump to artifact $artifact_dir"
+ /usr/local/bin/gsutil cp -r "$workspace"/"$file_name" gs://artifacts.opnfv.org/"$artifact_dir"/
+ echo "MongoDump can be found at http://artifacts.opnfv.org/$artifact_dir.html"
+fi